+++
title = "Daniel's Guide to Curry Success"
+++

As some of you may know, I am vegan! One particular vegan dish I have gotten quite good at conjuring up (any time, any place, any ingredients) is a curry!! Having guests round and you don't know what to cook? Curry. Staying over at a friend's place and they are not used to catering for vegans? Curry. Want a solid, cheap meal? Curry.

> *Note: Any reference to curry in this blog post is under my definition of curry, I do not mean to upset properly cultured individuals*

> *Note 2: I can cook nice food, but I am not a chef*

So. How does one make a vegan curry *well*? Let the guiding begin...

## The Guide 
First, we need some ingredients. I have broken this down into 3 sections:

- Substance: Things that will be the bulk of your curry
- Flavour: How you make it taste like a curry
- Pantry: Stuff you hopefully have already

### Substance
Chunky bits like chickpeas, potatoes, cashews, lentils, green beans. Essentially your chicken in your chickenless korma. I like to try to include 2 of these for a greater variety.

We also have the base of the curry here, things like tinned tomato or milks (soy, oat, tinned coconut) for creaminess

*Be wary of things like grains that will probably need to be party cooked before adding!*

### Flavour
Flavour is a little bit more complicated...

Onions feature in practically all of my curries. They provide a really solid flavour and a slight amount of sweetness. If you can't decide between `n` and `n+1` onions, do `n+1`.

Spices are what you'd expect... but the more the merrier: Curry power + a small pile of everything you have in your pantry that looks yellow or red in colour  
> Tip: You can supplement spices with condiments in a pinch: Hot sauce, Ketchup, BBQ sauce etc. Make sure to check ingredients :)

I also sometimes like to try and include umami flavours, which can be lacking in vegan cooking, with things like soy sauce or black garlic

Sweetness is a crucial part of curries. Try raisins or diced apple as a way of bettering what you'd find in a more ready-meal setting. Without, you'll find you may get a bitter aftertaste from some of the spices you included

Salt is crucial too. Salt is favour - salt as you go and taste-check to know if you need more. If you don't properly season, it'll taste bland!

More thematic bits like spinach or tomato puree also come under here.

### Pantry
Things like flour and cornstarch for thickeners and oil for cooking things in! I also love using a premade, frozen [roux](https://en.wikipedia.org/wiki/Roux) as a thicker.

### BE CREATIVE!

OK, so we now have the basic idea of what to put in a curry! This can all be quite flexible, so be creative! Try to think about what could taste nice together and what you could substitute where when dealing with a limited pool of ingredients!
On to cooking!

### Cooking

When cooking, generally, I start with the flavours (fry onions, add spices) then add any substance, and finally thicken!  
When adding substance you'll need to decide if you need to add things before or after your liquid of choice! Chickpeas need cooking in something more liquidy whereas green beans may benefit from some frying action!

Now, instead of teaching you how to cook... I have provided a general recipe below that should be quite easy to adapt! Yay!

### Final Messages

Best of luck cooks, remember to taste as you go! (its all vegan, therefore safe)

## Example Recipe

### Substance
- Chickpeas (x2 tinned)
- Potatoes	(x5 small, diced)
- Cashews   (or other nuts)
- Milk		(soy, oat, tinned coconut)

### Flavour
- Onions			(1-2 medium sized onions)
- Garlic			(1/2 a bulb)
- Curry Powder
- Paprika
- Piri Piri
- Cajun
- Ground Nutmeg
- Raisins
- Soy Sauce
- Salt
- Black Pepper

### Pantry
- Flour
- Oil


### Method
1. Caramelise onions
	1. Add a splash of oil to a pan on median-high heat
	2. Dice onions
	3. Add onions and a bit of salt to the pans
	4. Stir occasionally till golden brown
		1. Adding a bit of water part-way through can help prevent burning
2. Add Garlic
	1. Dice the garlic
	2. Add the garlic to the pan
3. Fry the Spices
	1. Add a generous amount of curry powder, paprika, piri piri, cajan, nutmeg, black pepper etc.
		1. If you were to taste it at this point it would be way too strong
	2. Cook for another 2-3 mins
4. Add Chickpeas and Potatoes
	1. Add 1 chickpea tin with its water
	2. Add the 2nd chickpea tin without its water
	3. Add a few cups of milk, the more the creamier
	4. Add the diced potatoes
	5. Add a good glug (perhaps a tbsp) of soy sauce
	6. Season with more salt
	7. Cook for maybe 10-15 mins. Both chickpeas and potatoes should be soft
		1. NOTE: Should be quite runny at this point
5. Some added nice-bits
	1. Throw in a packet of nuts
	2. Add enough raisins so its roughly one per 3 mouthfuls
        1. This is quite important. You could also use diced apple during step 2
	3. Taste and add further salt, if needed
	4. Cook for anothe 5 mins too let these meld with the rest of the curry
6. Thicken
	1. Add flour to the dish, making sure to stir it in properly
	2. Keep adding small amounts until desired thickness is reached
7. Serve and enjoy
	1. Pile curry straight on to a plate with your carb of choice (pitta bread, rice etc.)
